package com.hydraql.thrift.example;

import com.hydraql.common.query.GetRowParam;
import com.hydraql.thrift.HBaseThriftTemplate;
import com.hydraql.thrift.HBaseThriftTemplateFactory;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class HBaseThriftPoolClearTest {

   public static void main(String[] args) {
      ExecutorService executorService = Executors.newFixedThreadPool(2);

      for(int i = 0; i < 20; ++i) {
         executorService.execute(new HBaseThriftPoolClearTest.Work());
      }

   }

   static class Work implements Runnable {

      private final HBaseThriftTemplate thriftTemplate = HBaseThriftTemplateFactory.getInstance("internal_dev", 9091, 2);


      public void run() {
         while(true) {
            try {
               System.out.println(Thread.currentThread().getName());
               System.out.println(this.thriftTemplate.getRow("LEO_USER", GetRowParam.of("a10001").build()));
               Thread.sleep(10000L);
            } catch (InterruptedException var2) {
               var2.printStackTrace();
            }

            System.out.println("################################################################################################");
         }
      }
   }
}
